#include "VDAudio.h"
#include "VDError.h"


VDAudio::VDAudio() {
    //directSound
};

VDAudio::~VDAudio() {
};

void VDAudio::InitializeAudio() {
    HRESULT directSoundCreate8 = DirectSoundCreate8(NULL, &directSound, NULL);
    if (FAILED(directSoundCreate8)) {
    };

    //directSound->SetCooperativeLevel(
    /*HRESULT createSoundBuffer = directSound->CreateSoundBuffer(somewhere, &secondarySoundBuffer, NULL);
    if (FAILED(createSoundBuffer)) {
    };*/
    //secondarySoundBuffer = CreateSoundBuffer
    //directSound->Initialize(NULL);
};